classification
Title: Not possible to cross-compile due to poor detection of %lld support in printf
Type: compile error Stage:
Components: Build Versions: Python 2.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: bgamari, doko, rpetrov, terry.reedy
Priority: normal Keywords:

Created on 2010-12-27 18:09 by bgamari, last changed 2013-01-25 14:06 by doko. This issue is now closed.

Messages (5)
msg124722 - (view) Author: Ben Gamari (bgamari) Date: 2010-12-27 18:09
Configure.in assumes that %lld is not supported by printf if cross-compiling. This causes build errors in pyport.h,

In file included from Include/Python.h:58:0,
                 from Parser/parser.c:8:
Include/pyport.h:243:13: error: #error "This platform's pyconfig.h needs to define PY_FORMAT_LONG_LONG"
...

What is one supposed to do about this short of changing the configure script to assume support by default.
msg124736 - (view) Author: Roumen Petrov (rpetrov) * Date: 2010-12-27 21:52
Use config.cache to set ac_cv_have_long_long_format
msg124980 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-12-31 22:41
Requests for information should go to python-list or other support forums. That said, does the response settle this issue, so that it can be closed, or is there still a claim that something should be changed in the Python repository?
msg125031 - (view) Author: Ben Gamari (bgamari) Date: 2011-01-02 05:22
Well, I'm not convinced that overriding config.cache is the best solution, but I am not really sure what else can be done. So far I've just been carrying a patch which changes configure.in, but this is clearly an awful hack.
msg180584 - (view) Author: Matthias Klose (doko) * (Python committer) Date: 2013-01-25 14:06
in 3.3 and later, the test defaults to no when cross-building. If gcc is used for the cross build, then a compile test is used. 

it is usually needed to provide some values in a CONFIG_SITE file. See autoconf for the details.

closing the issue.
History
Date User Action Args
2013-01-25 14:06:04dokosetstatus: languishing -> closed
nosy: + doko
messages: + msg180584

2012-10-29 16:38:40bgamarisetstatus: open -> languishing
2011-01-02 05:22:49bgamarisetnosy: terry.reedy, rpetrov, bgamari
messages: + msg125031
2010-12-31 22:41:45terry.reedysetnosy: + terry.reedy
messages: + msg124980
2010-12-27 21:52:25rpetrovsetnosy: + rpetrov
messages: + msg124736
2010-12-27 18:09:33bgamaricreate